<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>All users</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</head>
<body>
<table>
    <tr>
        <th>ID</th>
        <th>CITY</th>
        <th>STREET</th>
        <th>HOUSE</th>
    </tr>
    <tr th:each="address : ${addresses}">
        <td>
            <a th:href="@{/addresses/} + *{address.id}" th:text="*{address.id}"/>
        </td>
        <td th:text="*{address.city}"/>
        <td th:text="*{address.street}"/>
        <td th:text="*{address.houseNumber}"/>
    </tr>
    <a th:href="@{/addresses/new_address}">New address</a>
</table>
</body>
</html>